PRUNEEMPTYDIRS(1)

NAME
pruneemptydirs - Finder forældede kildekodekataloger i et CVS-træ

SYNOPSIS

pruneemptydirs [-f]

BESKRIVELSE

pruneemptydirs bruges til at rydde op i et lokalt CVS-træ. Det detekterer kataloger som indeholder rester af gamle ting som er fjernet fra CVS. Sådanne gamle kataloger forstyrrer ofte kompilering. Nuværende katalog og alle underkataloger undersøges.

Bemærk at værktøjet ikke fjerner noget. Det skriver blot ud hvad som skal gøres som en serie med fjernelseskommandoer. Du kan kopiere og indsætte kommandoerne, eller bruge dem med eval i et script.

Værktøjet virker bedre hvis kildekodekataloget ikke er det samme som byggekataloget, eftersom det ikke skriver kataloger ud som indeholder gamle kørbare filer.

Værktøjet er en del af KDE's programmeludviklingsmiljø.

TILVALG

-f  Udfører egentlig fjernelse i stedet for at kun skrive dem. Brug dette flag med forsigtighed.

FORFATTERE

pruneemptydirs er skrevet af David Faure <faure@kde.org>

Denne manualside er skrevet af Ben Burton<bab@debian.org>

AUTHOR
Ben Burton.